Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77673 - Gnome upgrade problem
Summary: Gnome upgrade problem
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-desktop
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mark McLoughlin
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-11 20:55 UTC by Andrea Mazzario
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-12-20 12:35:29 UTC


Attachments (Terms of Use)

Description Andrea Mazzario 2002-11-11 20:55:22 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; T312461)

Description of problem:
This problem was reported as Service Request 217281 and they recommended I 
submit a bug report for it. 
I upgraded from RedHat 7.3 to RedHat 8.0. I use the Gnome desktop. After the 
upgrade one of my accounts has a completely garbled desktop (other accounts are 
OK). It's hard to descriobe what happens: I have a number of small windows with 
the "do no access" logo, no text is visible at all, but the graphic icons look 
right. Basically, nothing seems to work, I don't even know how to log out.
I tried to delete the user and to recreate it, and the desktop is OK the first 
time I log in, but if I log off/reboot, next time I log in, the desktop is 
messed up again.
Support recommended I remove the directories .gconf, .gconfd, .gnome, .gnome2. 
That helps, but only temporarily: after I log off /reboot the desktop is messed 
up again.


Version-Release number of selected component (if applicable):
Standard Gnome release in Redhat 8.0, no special components loaded.

How reproducible:
Always

Steps to Reproduce:
1.Log into the account
2.Log off/reboot from the account
3.Log into the account (but this problem happens only for this account, other 
accounts are OK)
	

Actual Results:  see description

Expected Results:  I expected to find a "normal" desktop, like it is after I 
cleanup the various directories mentioned in the description.

Additional info:

Comment 1 Havoc Pennington 2002-11-11 21:11:28 UTC
As a wild guess, what is the output of
"gconftool-2 -R /desktop/gnome/font_rendering"

Comment 2 Andrea Mazzario 2002-12-14 22:49:02 UTC
After removing the directories .gnome, .gnome2, .gconf, .gconfd, logging into 
the accoutn real-net I get the following output:
[real-net@malino2 real-net]$ gconftool-2 -R /desktop/gnome/font_rendering

** (process:6512): WARNING **: Owner of /tmp/orbit-real-net1 is not the current
user

 rgba_order = rgb
 antialiasing = grayscale
 dpi = 96
 hinting = medium
Notice that I have a different account named real-net1 which is the owner of 
the directory /tmp/orbit-real-net1. Could that be the problem? 

Comment 3 Mark McLoughlin 2004-12-20 12:35:29 UTC
Removing /tmp/orbit-real-net1 probably would have fixed the problem.
Diagnosing how the permissions got screwed up is going be difficult
after all this time.


Note You need to log in before you can comment on or make changes to this bug.